//
//    Copyright 2004, Thomas C. McDermott, N5EG
//    This file is part of SGEN - the Signal Generator program.
//
//    SGEN is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    SGEN is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SGEN, if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#pragma once

// DataDisplay.h -- contains the SGEN BUFFER typedefs.
// Defines the format of the USB packets to and from the VNA hardware for use as signal generator
// and phase scope 
//
// New:		01-10-05	TCM	

#include "stdafx.h"


#define	SGEN_REPLYTYPE_SETFREQ	0x0				// Set Frequency and Level
#define SGEN_REPLYTYPE_SETPLL	0x1				// Set PLL Multiplier
#define SGEN_REPLYTYPE_QUERY	0x2				// Only query for a reading
#define SGEN_REPLYTYPE_POWERDOWNSYN 0x3			// Power down the VNA instrument synthesizer

typedef struct _SGEN_RXBUFFER {
	unsigned short Header;
	unsigned short ReflMI;
	unsigned short ReflPI;
	unsigned short Vref1;
	unsigned short TranMI;
	unsigned short TranPI;
	unsigned short Vref2;
	unsigned short FwdMI;
	unsigned short FwdPI;
	unsigned short ReflMQ;
	unsigned short ReflPQ;
	unsigned short Vref1a;
	unsigned short TranMQ;
	unsigned short TranPQ;
	unsigned short Vref2a;
	unsigned short FwdMQ;
	unsigned short FwdPQ;
	unsigned short dummy[18];	// unused locations in the buffer
} SGEN_RXBUFFER;

typedef struct _SGEN_TXBUFFER {
	long long unsigned TxAccum;			// 8 byte accumulator value (we use 6 LSBytes)
	unsigned short IDAClevel;	// 2 byte I-DAC (Transmit) level. 
	unsigned short ReplyType;		// Rx buffer reply type requested 
	unsigned short PLLmult;		// PLL multiplier value
	unsigned short dummy[25];
} SGEN_TXBUFFER;


